# Makefile.rules

WINCEVERSION  = 1
DEPENDFILE = .depend
DEBUG  = -ggdb
AR	   = /opt/mingw32ce/bin/arm-mingw32ce-ar
CC     = /opt/mingw32ce/bin/arm-mingw32ce-gcc
CFLAGS = -Wall -g -I../main -I../ -I../mapsys -I../gui -I../wince -I../draw -I../base -DSPOSMROUTE -DHAVE_WINAPI -D_WIN32_IE=0x400 $(DEBUG)
WINRES = /opt/mingw32ce/bin/arm-mingw32ce-windres
LIBS   = -lcommctrl -laygshell -lws2

%.o: %.c
	$(CC) $(CFLAGS) -c $<

%.rsc: %.rc
	$(WINRES) $? $@ -D_WIN32_IE=0x400

